| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
AvalancheSchedulerSvc::enqueueSchedulerActionTask Struct Reference
Inheritance diagram for AvalancheSchedulerSvc::enqueueSchedulerActionTask:
[legend]
Collaboration diagram for AvalancheSchedulerSvc::enqueueSchedulerActionTask:
[legend]

## Public Member Functions
| enqueueSchedulerActionTask (AvalancheSchedulerSvc *scheduler, std::function< StatusCode()> _closure)
tbb::task * | execute () override

## Public Attributes
std::function< StatusCode()> | m_closure
SmartIF< AvalancheSchedulerSvc > | m_scheduler

## Detailed Description

Definition at line 263 of file AvalancheSchedulerSvc.h.

## Constructor & Destructor Documentation

AvalancheSchedulerSvc::enqueueSchedulerActionTask::enqueueSchedulerActionTask | ( | AvalancheSchedulerSvc * | scheduler,
|  | std::function< StatusCode()> | _closure
| ) |  |
| inline

Definition at line 268 of file AvalancheSchedulerSvc.h.

269 : m_closure( _closure ), m_scheduler( scheduler )
270 {
271 }
AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_scheduler
SmartIF< AvalancheSchedulerSvc > m_scheduler
Definition: AvalancheSchedulerSvc.h:266
AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_closure
std::function< StatusCode()> m_closure
Definition: AvalancheSchedulerSvc.h:265

## Member Function Documentation

tbb::task* AvalancheSchedulerSvc::enqueueSchedulerActionTask::execute | ( |  | ) |
| inline override

Definition at line 273 of file AvalancheSchedulerSvc.h.

274 {
275 m_scheduler->m_actionsQueue.push( m_closure );
276 return nullptr;
277 }
AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_scheduler
SmartIF< AvalancheSchedulerSvc > m_scheduler
Definition: AvalancheSchedulerSvc.h:266
AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_closure
std::function< StatusCode()> m_closure
Definition: AvalancheSchedulerSvc.h:265
AvalancheSchedulerSvc::m_actionsQueue
tbb::concurrent_bounded_queue< action > m_actionsQueue
Queue where closures are stored and picked for execution.
Definition: AvalancheSchedulerSvc.h:260

## Member Data Documentation

std::function<StatusCode()> AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_closure

Definition at line 265 of file AvalancheSchedulerSvc.h.

SmartIF<AvalancheSchedulerSvc> AvalancheSchedulerSvc::enqueueSchedulerActionTask::m_scheduler

Definition at line 266 of file AvalancheSchedulerSvc.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/AvalancheSchedulerSvc.h